LINUX.ORG.RU

Несколько вопросов по OpenSUSE

 


0

1

1) На gnu.org в объяснении того, почему сабж не одобрен написано

openSUSE предлагает своим пользователям раздел с несвободными программами. Это один из случаев, когда критерий “открытости” оказывается слабее критерия свободы.

Не совсем понятно, там как в дебиане — в самой системе проприетарщины нет, но можно установить при желании, или как?

2) Какая версия кед в а) последней версии, б) Tumbleweed. Когда ожидаются пятые (если еще не)?

3) Как обстоят дела с другими DE — lxde, xfce, mate?

★★★★★

Не совсем понятно, там как в дебиане — в самой системе проприетарщины нет, но можно установить при желании, или как?

как в убунте - система в основном свободна, но в дистре из коробки присутсвуют несвободные фирмвари, чтобы железки без бубна запускались сразу

ionanahin ★★★ ()

1. да

2. б) 5.3.1 штоле, а) не использую

3. как обычно — в репозиториях присутствуют, свежак при необходимости есть в OBS

littlechris ★★★ ()
Последнее исправление: littlechris (всего исправлений: 1)

lxde

По дефолту собрана нестабильная (!) GTK3-версия LXDE, которая жрёт память в несколько раз больше нормальной (на GTK2).

svobodka_fighter ()
Ответ на: комментарий от littlechris

Вопрос скорее в том, можно ли выбрав при установке lxde, пользоваться ей без обработки напильником.

Klymedy ★★★★★ ()
Ответ на: комментарий от svobodka_fighter

У lxde есть gtk3-версия? o_O

Они же вроде на qt пишут сейчас.

Klymedy ★★★★★ ()

С первым вроде разобрался. Установил 13.2 на виртуалку, попробовал обновить до Tumbleweed, вылезла лицензия на AdobeICCProfiles — «YOU MAY NOT MODIFY THE SOFTWARE».

Klymedy ★★★★★ ()
Ответ на: комментарий от littlechris

2) Какая версия кед в а) последней версии

Если четвёртых, то 4.14.8 ныне.

в самой системе проприетарщины нет, но можно установить при желании, или как?

Ага, и кодеков нет из-за патентов. Проприетарщина валяется в репе non-oss (это и есть «предлагает своим пользователям раздел с несвободными программами»), кодеки в репах сообщства.

sluggard ★★★★★ ()
Ответ на: комментарий от sluggard

Ага, и кодеков нет из-за патентов. Проприетарщина валяется в репе non-oss (это и есть «предлагает своим пользователям раздел с несвободными программами»), кодеки в репах сообщства.

См. коммент выше, там хватает проприетарщины.

Klymedy ★★★★★ ()
Ответ на: комментарий от Klymedy

См. коммент выше, там хватает проприетарщины.

А теперь сделай

zypper info AdobeICCProfiles
и убедись, что sluggard прав.

dinn ★★★★★ ()
Ответ на: комментарий от dinn

предлагает

Навязывает, причем очень активно.

Klymedy ★★★★★ ()
Ответ на: комментарий от Klymedy

Навязывает

zypper search --requires AdobeICCProfiles

и сравнить с

zypper search --recommends AdobeICCProfiles

dinn ★★★★★ ()
Ответ на: комментарий от dinn

Если на свежеустановленной системе при обновлении от меня требуют принять лицензионное соглашение, то это «навязывают».

Klymedy ★★★★★ ()
Ответ на: комментарий от Klymedy

в tumbleweed гнум собирается практически без дистропатчей, lxde надо смотреть отдельно

littlechris ★★★ ()
Ответ на: комментарий от Klymedy

Установил 13.2 на виртуалку, попробовал обновить до Tumbleweed

Но зачем? Сейчас Factory стал Tumbleweed вроде.

ilinsky ★★★★★ ()
Ответ на: комментарий от Klymedy

Там и при установке суси требуют агримент :) Чё паниковать-то. Ты же не будешь крякать адобовский говнокод 90-ых?

menangen ★★★★★ ()

Самый отстойный дистрибутив, из тех, которые я видел. С самого начала тебе показывают лицензионное соглашение, что если ты в стране, не угодной США, то лососни тунца. Постоянно тебе суют на лопате того самого, типа flash и прочей ерунды. Ну и стабильность ниже плинтуса, пользоваться на десктопе этим очень колко, а для серверных нужд полно вариантов получше.

anonymous ()
Ответ на: комментарий от anonymous

Сколько ж ты плакал и кололся, если так хорошо всё знаешь? =)

sluggard ★★★★★ ()
Ответ на: комментарий от ionanahin

ой рассмешил, у бубунты по сравнению с сусей куда меньше поддержка железа из коробки. Правда у суси хуже с броадкомами.

erzent ☆☆ ()
Ответ на: комментарий от Klymedy

Если на свежеустановленной системе при обновлении от меня требуют принять лицензионное соглашение, то это «навязывают».

Поместим --no-recommends в кислоту, а твоё нытьё в дистиллированную воду...

sluggard ★★★★★ ()
Ответ на: комментарий от sluggard

на самом деле суся в 2012 году сильно испортилась, её эпоха это 2008-2011, потом я из-за кучи проблем перешёл на gentoo/calculate, сколько я трахался помню в 2012 году из-за тачпада и дров на броадком, это ужас.

erzent ☆☆ ()
Ответ на: комментарий от menangen

При установке там США-специфичный агримент, чтобы отгородить разработчиков от потенциальных проблем. Он не запрещает модификацию.

Klymedy ★★★★★ ()
Ответ на: комментарий от Klymedy

См. коммент выше, там хватает проприетарщины.

У тебя non-OSS подключен

Nxx ★★★★★ ()

а) последней версии

3 и 4

б) Tumbleweed

3, 4 и 5

5-й KDE уже не называется KDE, а называется plasma5

Nxx ★★★★★ ()
Последнее исправление: Nxx (всего исправлений: 2)
Ответ на: комментарий от Nxx

Значит, как минимум, не так, как в Дебиане, раз он подключен по-умолчанию.

Klymedy ★★★★★ ()
Ответ на: комментарий от anonymous

Лучший дестрибутив. Пользуюсь им с версии 11,0. Хавайте минт, там ни чего не подсовывают , вашим мнением просто не интересуются.

Grruzchik ()
Ответ на: комментарий от Grruzchik

не фактори

Он. Структура такая Factory -> openQA -> Tumbleweed. Скоро и стабильные выпуски станут сильно другими.

dinn ★★★★★ ()
Ответ на: комментарий от erzent

не, не лучше. сюсевод со стажем. Калькулейт вроде и приемлем, но не тот. )) Спасибо за совет.

Grruzchik ()
Ответ на: комментарий от Grruzchik

фактори и плазма5. а этот четверокеды

Так логично, если с начала мая не обновляться.

dinn ★★★★★ ()
Ответ на: комментарий от anonymous

пользуюсь на десктопе более 5 лет,на множестве десктопов и рабочих ПК

именно сюсей

живу в стране неугодной сша и более того в крыму,и свободно качаю все с репов и захожу на офф сюси без блокировок

про лицензию-советую научитсья читать,просят указать страну и пишут что если вы в стране которая попадает под санкции...

и лицензию принять при установки-ГНУ ГПЛ в3такчто ненадо врать

anonymous ()
Ответ на: комментарий от sluggard

Знаешь что такое по нормальному? Это вот так «Я тут хочу кучу пакетов поставить, которые ты не выбирал: дерьмо от адобе1, дерьмо от адобе2, ... <Поставить>, <Нет, иди ты на c такими предложениями».

PS: и эти фанатики еще венду ругают

anonymous ()
Ответ на: комментарий от anonymous

Поместим --no-recommends в кислоту, а твоё нытьё в дистиллированную воду...

sluggard ★★★★★ ()
Последнее исправление: sluggard (всего исправлений: 1)
Ответ на: комментарий от sluggard

А опенсусе в бочку с компостом...

Это типа так:

- замечательный клуб же

- я сходил, мне не понравилось, на пороге в кучу вляпался

- ну ты валенок, все завсегдатые о ней знают, и её обходят

ЗЫ: ну что сказать, ешьте с лопаты

anonymous ()
Ответ на: комментарий от anonymous

ты о чем анонимус?

предложение установки кодеков(которые ненужны так как есть мплеер или ффмпег) и флеша откланяются кнопочкой,пакеты которые «рекомендуемые» почещаются как заблокированные и никогда не устанавливются(пока не убрать метку) и не просят лицензии

тоесть да можно не принимать при абсолютной работоспособности,что у меня и сделано-флеш не нужен и кодеки тоже,не пользуюсь более двух лет «лицензиями по дефолту при устновке» и не принимаю их.....такчто

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.